from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XDocumentEventBroadcaster(Protocol):
    def addDocumentEventListener(self, Listener: XDocumentEventListener) -> None: ...
    def removeDocumentEventListener(self, Listener: XDocumentEventListener) -> None: ...
